package com.foldor.soundboard;

public class Sound {
    public String soundName;
    public String soundPath;
    public int soundID = 0;
    
    public int soundResourceID = 0;
    public boolean resource = false;
    
    Sound (String soundName, String soundPath) {
        this.soundName = soundName;
        this.soundPath = soundPath;
    }
    
    Sound (String soundName, int soundResourceID) {
        this.soundName = soundName;
        this.soundResourceID = soundResourceID;
        this.resource = true;
    }
    
    Sound (String soundName, String soundPath, int soundResourceID) {
        this.soundName = soundName;
        this.soundResourceID = soundResourceID;
        this.resource = (soundResourceID != 0);
    }
}
